Skip to main content
GET
/
v1
/
apis
/
{api_id}
Get API detail
curl --request GET \
  --url https://api.peel.sh/v1/apis/{api_id} \
  --header 'X-API-Key: <api-key>'
{
  "api": {
    "id": "4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc",
    "url": "https://books.toscrape.com/catalogue/a-light-in-the-attic_1000/index.html",
    "instructions": "Get product details with name, price, and rating",
    "name": null,
    "status": "failed",
    "created_at": "2026-05-18T07:00:00.000Z",
    "updated_at": "2026-05-18T07:01:12.000Z",
    "completed_at": "2026-05-18T07:01:12.000Z",
    "endpoint_count": 0,
    "failure_reason_code": "compile_unpublishable_output",
    "failure": {
      "category": "compile_quality",
      "code": "compile_unpublishable_output",
      "message": "The compiler produced output that did not meet the publishable API quality bar.",
      "non_publishable_reason": "artifact_publishability_failed",
      "recommended_action": "revise_task",
      "refund_reviewable": true,
      "retryable": false,
      "artifact": {
        "attempted_strategies": [
          "custom_api_compiler"
        ],
        "billing_disposition": "refund_review",
        "blocked_policy": null,
        "evidence_refs": [
          "evidence/rendered.html"
        ],
        "failure_class": "runtime_verification_failed",
        "retryability": "not_retryable",
        "schema_version": 1,
        "stage": "agent_compile",
        "suggested_user_action": "revise_task",
        "support_debug_id": "api:4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc:compile_unpublishable_output",
        "technical_reason": "Custom artifact publish gate failed: extract:quality_failed:singleton_endpoint_returned_collection",
        "user_facing_reason": "The compiled API did not pass runtime output verification."
      }
    },
    "identity": {
      "api_id": "4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc",
      "binding_id": null,
      "version_id": null
    },
    "links": {
      "self": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc",
      "health": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/health",
      "revise": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/revise",
      "rebuild": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/rebuild",
      "respond": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/respond",
      "openapi_export": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/exports/openapi",
      "mcp_export": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/exports/mcp",
      "endpoint_call_template": "/v1/apis/4d0d8c18-3a06-4d53-9a57-2e5aa3f8c0cc/endpoints/{endpoint_name}:call"
    },
    "description": null,
    "source_url": "https://books.toscrape.com/catalogue/a-light-in-the-attic_1000/index.html",
    "error": "Custom artifact publish gate failed: extract:quality_failed:singleton_endpoint_returned_collection",
    "auth_mode": "public",
    "requires_session": false,
    "user_input_prompt": null,
    "endpoints": []
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

api_id
string<uuid>
required

Response

API detail.

api
object
required